Skip to content
SilanDocs
Main site

MCP tools

request_person_login

Hand a login to the person and wait until they hand the device back.

REST operation requestPersonLogin (POST /v1/devices/{deviceId}/credentials/request-person)
Needs a device yes
Read only no
Profiles core, testing, full
Name Required Type Goes to What it is
device_id yes string path deviceId Stable device id such as ios:00008120-001A2B3C4D5E6F70 or android:R58M123ABC.
lease no string header Silan-Lease Lease token when the device is claimed.
message no string body message
wait_ms no integer body waitMs
request_person_login({ device_id: "ios:00008120-001A2B3C4D5E6F70" })